Changelog for June 12, 2024

Breaking changes

  • POST tasking/v1/tasks endpoint — in the createTask operation, the approach to specifying delivery locations has been refactored. The following changes have been made to the createTask Request format:

    • The deliveryLocationIDs array parameter has been removed.

    • The deliveryLocations array parameter has been added, enabling you to specify each location by providing method, path, and subpath properties. See Create task.

  • GET /company/v1/contracts/{contractID} endpoint — in the getContract operation, the data returned in deliveryLocations no longer includes the id field, because the delivery location ID has been removed from the API.

  • GET /company/v1/contracts endpoint — in the listContracts operation, the data returned in deliveryLocations no longer includes the id field, because the delivery location ID has been removed from the API.

Non-breaking changes

  • POST tasking/v1/tasks endpoint — in the createTask operation, QUICKLOOK has been removed from the additional product types, because it is currently unimplemented.